"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("./utility/common");
function remove(str) {
    return common_1.common.remove(str, / *\([^)]*\) */g);
}
function inside(str) {
    const matched = str.match(/\(([^()]+)\)/g);
    return matched ? matched.map(m => m.replace('(', '').replace(')', '')) : [];
}
function swap(str, other) {
    return common_1.common.swap(str, other, /\(([^()]+)\)/g);
}
const parens = {
    inside,
    remove,
    swap
};
exports.parens = parens;
